//Day 2:  Practice 1 Template
//Given a 2 dimensional array (nxm) find the sum of the array.

#include <stdio.h>
#include <omp.h>
#include <string.h>

int main(int argc, char* argv[]){

	int n = 64, m = 64; 
	int a[n][m], i, j;
	int total; //total sum of array values
	
	//variables to measure performance of code
	double totalTime = 0, time;
	int count = 0;
	
	//assume you already have a 2D array of values
	for(i = 0; i < n; i++){
		for(j = 0; j < m; j++){
			a[i][j] = i*j;
		}
	}
	
	//******************************************
	//Sequential Solution:
	//find the sum of all the values in the array
	
	//use an average of 5 runs for timing
	while(count < 5){
		total = 0;
		
		//start time
		time = omp_get_wtime();
		
		//sequential solution to summing values here:
		
		//stop time
		totalTime = omp_get_wtime() - time;
		count++;
	}
	//print your findings:
	printf("Sequential Time = %f\n", totalTime/5);
	printf("Total: %d\n\n", total);
	
	//******************************************
	//Parallel Solution:
	//try parallelizing your sequential solutions
	count = 0;
	totalTime = 0;
	
	
	return 0;
}
