//Day 2:  Practice 2 Template
//Given a 2 dimensional array (nxm) store the sum of each row in an array.
//You may add additional variables and data structures.

#include <stdio.h>
#include <omp.h>
#include <string.h>

int main(int argc, char* argv[]){

	int n = 64, m = 64;
	int a[n][m], i, j;
	
	//variables to measure performance of code
	double totalTime = 0, time;
	int count = 0;
	
	//data structure for storing row sums:
	int sums[n];
	//shortcut for zero entire array
	memset(sums, 0, sizeof(sums));
	
	
	//assume you already have a 2D array of values
	for(i = 0; i < n; i++){
		for(j = 0; j < m; j++){
			a[i][j] = i*j;
		}
	}
	
	//******************************************
	//Sequential Solution:
	//store the sum of each row in an array
	
	//use an average of 5 runs for timing
	while(count < 5){
				
		//start time
		time = omp_get_wtime();
		
		//sequential solution summing each row here:
		
		//stop time
		totalTime = omp_get_wtime() - time;
		count++;
	}
	//print your findings:
	printf("Sequential Time = %f\n", totalTime/5);
	//print the sum of the last row:
	printf("Last Row Total = %d\n\n", sums[n-1]);
	
	
	//******************************************
	//Parallel Solution:
	//try parallelizing your sequential solution
	//don't forget to reset
	count = 0;
	totalTime = 0;
	
			
	return 0;
}
