//Day 2:  Review 3

#include <stdio.h>
#include <omp.h>

int main(int argc, char* argv[]){

	int n = 50, x, y = 0;
	int a[n], i;
	
	#pragma omp parallel private(x) 
	{
		x = 0;
		
		#pragma omp for nowait
		for(i = 0; i < n; i++){
			a[i] = i + n;
			x = x + a[i];
		}
		
		#pragma omp critical
		y = y + x;
		
	}
	
	printf("a: ");
	for(i = 0; i < n; i++){
		printf("%d ", a[i]);
	}
	
	printf("\ny: %d\n", y);
	
	return 0;
}
